<script setup lang="ts">
import ActionButton from "@/components/atoms/button/ActionButton.vue";
import ExternalLink from "@/components/atoms/link/ExternalLink.vue";
import type Repository from "@/entities/Repository/Repository";
import EntityLineWithImg from "@/components/organisms/list/EntityLineWithImg.vue";

defineProps<{ repository: Repository, onImport: Function }>()
</script>

<template>
  <EntityLineWithImg :alt="repository.name" :img="repository.img">
    <ExternalLink :href="repository.link" class="grow">{{ repository.name }}</ExternalLink>
    <ActionButton @click="onImport" :disabled="repository.isAlreadyImported ? 'disabled' : false">Importer</ActionButton>
  </EntityLineWithImg>
</template>